Package com.smartgwt.client.event

# Class AbstractSmartEvent<H extends EventHandler>

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>

Direct Known Subclasses:
  `AsyncValidationReplyEvent`, `BlurEvent`, `BrowserEvent`, `CanEditChangedEvent`, `ChangedEvent`, `ChangedEvent`, `ChangeEvent`, `ChangeEvent`, `ClickEvent`, `ClickEvent`, `DataArrivedEvent`, `DataArrivedEvent`, `DataChangedEvent`, `DataChangedEvent`, `DoubleClickEvent`, `DoubleClickEvent`, `DragMove`, `DragResizeMoveEvent`, `DragResizeStartEvent`, `DragResizeStopEvent`, `DragStart`, `DragStop`, `EditMaskClickedEvent`, `EditNodeUpdatedEvent`, `EditorEnterEvent`, `EditorEnterEvent`, `EditorExitEvent`, `EditorExitEvent`, `ErrorEvent`, `FocusEvent`, `FormItemIconClickEvent`, `HiddenValidationErrorsEvent`, `IconClickEvent`, `IconKeyPressEvent`, `ItemHoverEvent`, `KeyDownEvent`, `KeyPressEvent`, `KeyUpEvent`, `MemberSynchronizedEvent`, `MenuItemClickEvent`, `MouseDownEvent`, `MouseMoveEvent`, `MouseOutEvent`, `MouseOverEvent`, `MouseUpEvent`, `MovedEvent`, `NodeAddedEvent`, `OtherWindowsChangedEvent`, `PendingStatusChangedEvent`, `PickerColorSelectedEvent`, `PickerIconClickEvent`, `ProcessFinishedEvent`, `ProcessTraceElementEvent`, `ReadOnlyDisplayChangedEvent`, `RecordClickEvent`, `ResizedEvent`, `SelectedEditNodesUpdatedEvent`, `ShowContextMenuEvent`, `ShowContextMenuEvent`, `ShowValueEvent`, `TitleClickEvent`, `TitleDoubleClickEvent`, `TitleHoverEvent`, `ValueHoverEvent`, `ValueIconClickEvent`, `ValueIconClickEvent`

public abstract class AbstractSmartEvent<H extends EventHandler> extends GwtEvent<H>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected JavaScriptObject`
  `jsObj`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractSmartEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected JavaScriptObject`
  `getFiringInstanceAsJavaScriptObject()`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, dispatch, getAssociatedType, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### jsObj

    protected JavaScriptObject jsObj

- ## Constructor Details

  - ### AbstractSmartEvent

    protected AbstractSmartEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringInstanceAsJavaScriptObject

    protected JavaScriptObject getFiringInstanceAsJavaScriptObject()